Bug 71904 - CSS exclusions: parse the wrap-flow and wrap-through properties
Summary: CSS exclusions: parse the wrap-flow and wrap-through properties
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mihnea Ovidenie
URL: http://dev.w3.org/csswg/css3-exclusions/
Keywords: InRadar
Depends on:
Blocks: 57311
  Show dependency treegraph
 
Reported: 2011-11-09 06:44 PST by Alexandru Chiculita
Modified: 2011-11-17 00:08 PST (History)
6 users (show)

See Also:


Attachments
Patch (26.20 KB, patch)
2011-11-14 07:00 PST, Mihnea Ovidenie
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Patch 2 (26.27 KB, patch)
2011-11-14 08:46 PST, Mihnea Ovidenie
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Patch 3 (29.82 KB, patch)
2011-11-15 01:28 PST, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandru Chiculita 2011-11-09 06:44:48 PST
Add parsing code for wrap-flow and wrap-through properties.

http://dev.w3.org/csswg/css3-exclusions/#wrap-flow-property
http://dev.w3.org/csswg/css3-exclusions/#wrap-through-property
Comment 1 Radar WebKit Bug Importer 2011-11-09 09:25:17 PST
<rdar://problem/10419702>
Comment 2 Mihnea Ovidenie 2011-11-14 07:00:02 PST
Created attachment 114940 [details]
Patch
Comment 3 WebKit Review Bot 2011-11-14 07:21:59 PST
Comment on attachment 114940 [details]
Patch

Attachment 114940 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10472258
Comment 4 Mihnea Ovidenie 2011-11-14 08:46:42 PST
Created attachment 114954 [details]
Patch 2

1. Use || instead of | in CSSParser.cpp
2. Rework wrap-through-parsing.js
Comment 5 WebKit Review Bot 2011-11-14 09:51:32 PST
Comment on attachment 114954 [details]
Patch 2

Attachment 114954 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10473247

New failing tests:
svg/css/getComputedStyle-basic.xhtml
fast/css/getComputedStyle/computed-style.html
fast/css/getComputedStyle/computed-style-without-renderer.html
Comment 6 Mihnea Ovidenie 2011-11-15 01:28:52 PST
Created attachment 115120 [details]
Patch 3

Add expected results for chromium-win.
Comment 7 WebKit Review Bot 2011-11-17 00:08:49 PST
Comment on attachment 115120 [details]
Patch 3

Clearing flags on attachment: 115120

Committed r100570: <http://trac.webkit.org/changeset/100570>
Comment 8 WebKit Review Bot 2011-11-17 00:08:54 PST
All reviewed patches have been landed.  Closing bug.